
QGIS Application - Bug report #8710

cmake mises missing Qsci

2013-09-27 09:50 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17429

Description

Today's (and already for some time) master spits an error on startup about missing Qsci, but cmake doesn't complain about it. If Qsci is a

mandatory dependency, it has to be enforced. If it isn't - parts requiring it shouldn't be compiled.

Gentoo ~AMD64

Couldn't load plugin 'processing' from ['/home/maris/soft/qgis_bin/share/qgis/python', '/home/maris/.qgis2/python',

'/home/maris/.qgis2/python/plugins', '/home/maris/soft/qgis_bin/share/qgis/python/plugins', '/usr/lib64/python27.zip',

'/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old',

'/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos',

'/usr/lib64/python2.7/site-packages/gst-0.10', '/usr/lib64/python2.7/site-packages/gtk-2.0',

'/usr/lib64/python2.7/site-packages/wx-2.9.4-gtk2']

Traceback (most recent call last):

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 182, in loadPlugin

    __import__(packageName)

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/maris/soft/qgis_bin/share/qgis/python/plugins/processing/__init__.py", line 27, in 

    from processing.tools.general import *

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/maris/soft/qgis_bin/share/qgis/python/plugins/processing/tools/general.py", line 28, in 

    from processing.core.Processing import Processing

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/maris/soft/qgis_bin/share/qgis/python/plugins/processing/core/Processing.py", line 49, in 

    from processing.r.RAlgorithmProvider import RAlgorithmProvider

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/maris/soft/qgis_bin/share/qgis/python/plugins/processing/r/RAlgorithmProvider.py", line 32, in 

    from processing.gui.EditScriptAction import EditScriptAction

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/maris/soft/qgis_bin/share/qgis/python/plugins/processing/gui/EditScriptAction.py", line 27, in 

    from processing.gui.ScriptEditorDialog import ScriptEditorDialog

  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/maris/soft/qgis_bin/share/qgis/python/plugins/processing/gui/ScriptEditorDialog.py", line 30, in 

    from PyQt4.Qsci import *
  File "/home/maris/soft/qgis_bin/share/qgis/python/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named Qsci

Python versija:

2.7.5 (default, Aug 19 2013, 12:55:26) 

[GCC 4.7.3]

QGIS versija:

2.1.0-Master Master, c9de713

Python ceļš: ['/home/maris/soft/qgis_bin/share/qgis/python', u'/home/maris/.qgis2/python', u'/home/maris/.qgis2/python/plugins',

'/home/maris/soft/qgis_bin/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7',

'/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload',

'/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gst-0.10',

'/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib64/python2.7/site-packages/wx-2.9.4-gtk2']

History

#1 - 2013-09-27 10:06 AM - Jürgen Fischer

There's nothing to compile - just the python console depends on QSci.

#2 - 2013-09-27 10:18 AM - Larry Shaffer

- Status changed from Open to Feedback

Hi,

Like Jürgen mentions, you currently only need to ensure the Python module is installed (though the C++ lib may become a CMake dependency with the

next QGIS version).

I'm not familiar with Gentoo, but it looks like you would just need to install qscintilla-python ? The C++ lib should be installed as a dependency of the Python

module.

#3 - 2013-09-28 12:00 AM - marisn -

Processing is a default plugin, right? If it is so, during compilation time is necessary to check for it's dependencies as it doesn't pass the normal plugin

installation routine.

Current situation is not OK, as QGIS is trying to use a component even during ccmake part necessary components weren't located.

There are three options:

1) mark QSci as a mandatory dependency;

2) do not install processing and other parts depending on QSci if it's missing;

3) install but disable per default.

I don't know what for QSci is used and how deep is this integration to tell which of the options should be chosen.
http://packages.gentoo.org/package/dev-python/qscintilla-python


#4 - 2013-10-19 11:24 AM - Georg Reutelsterz

Hello, I had the same problem by opening the console from qgis 2.x under OpenSuSE 12.1

The error message was:

Konnte Python-Konsole nicht öffnen:

     ...

ImportError: No module named Qsci

Solution:

I installed the package python-qscintilla, nevertheless there was no dependency for this package by installing qgis.

#5 - 2014-07-28 08:29 AM - Matthias Kuhn

- Status changed from Feedback to Closed

This is a distribution issue.

Please open a ticket on your distribution bugtracker.
